> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deposit Destinations.added webhook

> The `deposit_destinations.added` webhook is sent when a new [deposit destination](/api-reference/deposit-destinations#object) has been added to a connected account.

This webhook is sent each time a deposit destination is found during initial data retrieval, but can also be triggered if the user independently adds a new deposit destinations or a deposit switch you initiate that adds a new deposit destination is successful.


Sent when an account's deposit destinations change.


## OpenAPI

````yaml openAPI/deposit-destinations-webhooks-added.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Deposit Destinations Webhooks
  version: '2.0'
  description: Sent when an account's deposit destinations change.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `deposit_destinations.added` webhook is sent when a new [deposit
        destination](/api-reference/deposit-destinations#object) has been added
        to a connected account.


        This webhook is sent each time a deposit destination is found during
        initial data retrieval, but can also be triggered if the user
        independently adds a new deposit destinations or a deposit switch you
        initiate that adds a new deposit destination is successful.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSubscriptionRequest'
            examples:
              deposit_destinations_added_subscription:
                summary: deposit_destinations.added subscription
                value:
                  events:
                    - deposit_destinations.added
                  name: name-for-the-webhook-subscription
                  url: https://your-webhook-backend.com
                  secret: optional-secret
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookMessageAdded'
components:
  schemas:
    WebhookSubscriptionRequest:
      type: object
      properties:
        events:
          type: array
          items:
            type: string
          description: |
            `deposit_destinations.added`
        name:
          type: string
          description: Your name for the webhook subscription.
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
    WebhookMessageAdded:
      type: object
      description: Added
      properties:
        event:
          type: string
          description: |
            `deposit_destinations.added`
        name:
          type: string
          description: Name used for the webhook subscription.
        data:
          type: object
          description: ''
          properties:
            account:
              type: string
              format: uuid
              description: ID of the account.
            user:
              type: string
              format: uuid
              description: ID of the user.
            deposit_destination:
              type: string
              format: uuid
              description: ID of the deposit destination that was added.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````